Summary: Rendering of internationalized text for SDL (Simple DirectMedia Layer)
Name: SDL_Pango
Version: 0.1.2
Release: 1
License: LGPL
Group: System Environment/Libraries
URL: http://sdlpango.sourceforge.net/

Source0: http://dl.sf.net/sdlpango/%{name}-%{version}.tar.gz
Source1: doxygen.png
Patch0: %{name}-%{version}-suppress-warning.patch
Patch1: %{name}-%{version}-API-adds.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf, automake, libtool
BuildRequires: pango-devel >= 1.18.4, SDL-devel >= 1.2.13, dos2unix
Requires: pango >= 1.18.4, SDL >= 1.2.13, glib2

%description
Pango is the text rendering engine of GNOME 2. SDL_Pango connects that engine
to SDL, the Simple DirectMedia Layer.


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pango-devel, SDL-devel, pkg-config

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1 -b .suppress-warning

dos2unix src/SDL_Pango.c src/SDL_Pango.h

%patch1 -p1 -b .API-adds

# clean up, we include the entire "docs/html" content for the devel package
%{__rm} -rf docs/html/CVS/

# Replace the corrupt doxygen.png file with a proper one
cp %{SOURCE1} docs/html/doxygen.png
chmod 0644 docs/html/doxygen.png

# Fix the (many) DOS encoded files, not *.png since they get corrupt
find . -not -name \*.png -type f -exec dos2unix -k {} \;

# this is required, or the shared library doesn't get built
autoreconf
libtoolize --copy --force


%build

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}

cp src/.libs/libSDL_Pango.so.1 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libSDL_Pango.a ./libSDL_Pango.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)



%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc docs/html/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/SDL_Pango.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Sat Nov 01 2008 Michael Perzl <michael@perzl.org> - 0.1.2-1
- first version for AIX5L v5.1 and higher
